/* $social-button
 ------------------------------------------*/

$bs-height-base: $line-height-computed + $padding-base-vertical * 2;
$bs-height-lg: floor($font-size-large * $line-height-base) + $padding-large-vertical * 2;
$bs-height-sm: floor($font-size-small * 1.7) + $padding-small-vertical * 2;
$bs-height-xs: floor($font-size-small * 1.2) + $padding-small-vertical + 1;

.btn-icon {
    position: relative;
    overflow: hidden;
    padding-top: 8px;
    padding-bottom: 8px;
    padding-left: $bs-height-base + $padding-base-horizontal;
    border-width: 0;
    text-overflow: ellipsis;
    :first-child {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        width: $bs-height-base + 2;
        text-align: center;
        line-height: $bs-height-base + 2;
        background: rgba(0, 0, 0, 0.1);
        border-right: 1px solid rgba(0, 0, 0, 0.03);
    }
    &.btn-lg {
        :first-child {
            width: $bs-height-lg;
            line-height: $bs-height-lg;
        }
    }
    &.btn-sm {
        :first-child {
            width: $bs-height-sm;
            line-height: $bs-height-sm;
        }
    }
    &.btn-xs {
        :first-child {
            width: $bs-height-xs + 2;
            line-height: $bs-height-xs + 2;
        }
    }
}

.btn-lg.btn-icon,
.btn-group-lg > .btn.btn-icon {
    padding-top: 14px;
    padding-bottom: 14px;
    padding-left: $bs-height-lg + $padding-large-horizontal;
}

.btn-sm.btn-icon,
.btn-group-sm > .btn.btn-icon {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: $bs-height-sm + $padding-small-horizontal;
}

.btn-xs.btn-icon,
.btn-group-xs > .btn.btn-icon {
    padding-top: 3px;
    padding-bottom: 3px;
    padding-left: $bs-height-xs + $padding-small-horizontal;
}

.btn-icon-icon {
    padding: 0;
    width: $bs-height-base + 2;
    height: $bs-height-base + 2;
    border-width: 1px;
    @extend .btn-icon;
    :first-child {
        width: 100% !important;
        border: none;
        background-color: transparent;
        text-align: center;
    }
    &.btn-lg {
        padding-right: 0;
        padding-left: 0;
        @include square($bs-height-lg);
    }
    &.btn-sm {
        padding-right: 0;
        padding-left: 0;
        @include square($bs-height-sm);
    }
    &.btn-xs {
        padding-right: 0;
        padding-left: 0;
        @include square($bs-height-xs + 2);
    }
}

@mixin btn-social($color-bg, $color: #fff) {
    background-color: $color-bg;
    @include button-variant($color, $color-bg, $color-bg);
}

.btn-adn {
    @include btn-social(#d87a68);
}

.btn-bitbucket {
    @include btn-social(#205081);
}

.btn-dropbox {
    @include btn-social(#3d9ae8);
}

.btn-facebook {
    @include btn-social(#3B5998);
}

.btn-flickr {
    @include btn-social(#ff0084);
}

.btn-foursquare {
    @include btn-social(#25a0ca);
}

.btn-github {
    @include btn-social(#171515);
}

.btn-google-plus {
    @include btn-social(#dd4b39);
}

.btn-instagram {
    @include btn-social(#3f729b);
}

.btn-linkedin {
    @include btn-social(#0e76a8);
}

.btn-microsoft {
    @include btn-social(#2672ec);
}

.btn-openid {
    @include btn-social(#f7931e);
}

.btn-reddit {
    @include btn-social(#eff7ff, #000);
}

.btn-soundcloud {
    @include btn-social(#ff7700);
}

.btn-tumblr {
    @include btn-social(#37465d);
}

.btn-twitter {
    @include btn-social(#33ccff);
}

.btn-vimeo {
    @include btn-social(#44bbff);
}

.btn-vk {
    @include btn-social(#587ea3);
}

.btn-yahoo {
    @include btn-social(#430197);
}